clear;clc;clf;

% Calculate average debt and VaR with and without buyback

store_1=zeros(19*12,3);
store_bb=zeros(19*12,3);

for h=12:1:20*12
    h
    store_1(h,:)=fixed1([h 0 0]);
    if h>12
        store_bb(h,:)=fixed1bb([h h-12 0 0]); 
    end
end

% Figure 14: Buyback and debt management frontiers

figure(14);
plot(store_1(12:end,2),100*store_1(12:end,3),'b.');
hold on;
plot(store_bb(24:end,2),100*store_bb(24:end,3),'r.');
xlabel('Average debt-GDP');
ylabel('Average VaR');
set(gca,'FontSize',16);
legend('Without buyback','With buyback','location','northwest');
xlim([25 65]);